#!/usr/bin/env python
# Gufw 10.10.1 - http://gufw.tuxfamily.org
# Copyright (C) 2008-2010 Marcos Alvarez Costales <marcos@ubuntu-ast.org>
#
# Gufw is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# Gufw is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Gufw; if not, see http://www.gnu.org/licenses for more
# information.

from instance   import Check
from instance   import Instance
from controller import Controller 
import view.guiGufw


if __name__ == "__main__":
    
    # Check if Gufw is running as root / exist config file
    check = Check()
    
    # Check if Gufw is running previusly
    appInstance = Instance()
    
    # Controller
    controler = Controller()
    firewall  = controler.get_firewall()
    
    # Show GUI
    app = view.guiGufw.GuiGufw(firewall)
    
    # Remove current instance
    appInstance.exit_application()

